/*
 * config.h
 * Configuration definitions.
 *
 * You should generally not change these, since it may break the protocol. 
 */ 

#define NAME "ZLOE"
#define VERSION "0.5"
#define COMPATVER "0.4"
#define AUTHOR "Milos Glisic"
#define AUTHEMAIL "mglisic@lagged.net"
#define USAGE "Usage: zloe <-t|-rX|-s|hostname>\n"\
    "    -t        Test mode (no net connection needed, but no fun).\n"\
    "    -rX       Play against the computer (robot). X is either e (easy),\n"\
    "              m (medium difficulty) or h (hard).\n"\
    "    -s        Server mode. Wait for connections.\n"\
    "    hostname  IP address or qualified host name of computer to connect\n"\
    "              to. This computer should be running a copy of ZLOE that\n"\
    "              is waiting in server mode.\n"
#define SEGMSG "Uh oh! Seems you've discovered a bug.\nIt could "\
               "really help matters if you emailed any specifics about the\n"\
               "problem (like how to reproduce it) to "\
               AUTHEMAIL\
               "\n"


#define LOCALHOST "0.0.0.0"
#define MAXQUEUE 1
#define PORT 11778
#define BUFLEN 64
#define SEP ":\n"

#define RHEIGHT 1152		/* playing field dimensions */
#define RWIDTH  1152

#define HEIGHT 360		/* window dimensions */
#define WIDTH  360 

#define ME_ACCEL 16

#define MAX_SPEED 12
#define MAX_RGB 65535
#define MAX_FPS	24		/* maximum framerate */

#define ENERGY_FULL   128
#define ENERGY_FREQ     2
#define ENERGY_LEN     80
#define ENERGY_X      (WIDTH - ENERGY_LEN - 5)
#define ENERGY_Y        5
#define ENERGY_WIDTH    7
#define ENERGY_BORDERCOL 51000,50000,50000

#define EENERGY_Y     (ENERGY_Y + ENERGY_WIDTH + 7)

#define WEPS_WIDTH ENERGY_WIDTH
#define WEPS_LEN      32
#define WEPS_X     (ENERGY_X - WEPS_LEN - 10)
#define WEPS_Y     ENERGY_Y

#define MAP_FREQ       4   
#define MAP_X          5
#define MAP_Y          4
#define MAP_WIDTH     38
#define MAP_HEIGHT    38
#define MAP_BORDERCOL 51000,50000,50000

#define BORDER_COLOUR 40000,51000,51000

#define WEP_ENERGY    100
#define WEP_ACCEL       8
#define WEP_THRESH     10
#define WEP_ACTIVATE   91
#define WEP_HIT_FRAC   10
#define WEP_COLS       3
#define MAX_WEPS       32

#define ROB_CONNECTDELAY 300000
#define ROB_SHOOTFREQ (fps / 2 + 1)
#define ROB_CRITDIST 16
#define ROB_MAXSPEED 1

#define BOMB_COUNT fps		/* this produces a 1s delay */

#define TRANSPARENT -1
#define BACKS 4

#define LAG_ALARM 600000
#define PING_FREQ (7 * fps)
#define PING_BEGIN 7
#define RESTART_DELAY 4
#define SPLASH_DELAY 1
#define RECONNECT_DELAY 2
#define CALIB_TIMES 7

#define STATE_ALIVE 0
#define STATE_DEAD  1

